classification
Title: Missing documentation for 'PyDict_DelItem' behavior
Type: enhancement Stage: resolved
Components: C API, Documentation Versions: Python 3.10, Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ideasman42, iritkatriel, lukasz.langa, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-09-17 11:05 by ideasman42, last changed 2020-10-05 16:10 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22291 merged iritkatriel, 2020-10-02 16:07
PR 22493 merged miss-islington, 2020-10-02 16:18
PR 22494 merged miss-islington, 2020-10-02 16:18
Messages (6)
msg377053 - (view) Author: Campbell Barton (ideasman42) * Date: 2020-09-17 11:05
When calling 'PyDict_DelItem' on a key that isn't in the hash a KeyError is raised. This is not documented.
msg377054 - (view) Author: Campbell Barton (ideasman42) * Date: 2020-09-17 11:20
Edit:

When calling 'PyDict_DelItem' on a key that isn't in the dictionary, a 'KeyError' is raised. This is not documented.

From reading the current documentation, it only seems as if an error is raised if the key can't be hashed.
msg377819 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-10-02 16:18
New changeset 20ce62f00957d11f24f6449cd5c0ef5dd67174d4 by Campbell Barton in branch 'master':
bpo-41802: Document 'PyDict_DelItem' can raise a 'KeyError' (GH-22291)
https://github.com/python/cpython/commit/20ce62f00957d11f24f6449cd5c0ef5dd67174d4
msg377821 - (view) Author: miss-islington (miss-islington) Date: 2020-10-02 16:28
New changeset ab32ea8d79d6bfb6580d35bfc4aa42d2729c0bcf by Miss Islington (bot) in branch '3.8':
bpo-41802: Document 'PyDict_DelItem' can raise a 'KeyError' (GH-22291)
https://github.com/python/cpython/commit/ab32ea8d79d6bfb6580d35bfc4aa42d2729c0bcf
msg377823 - (view) Author: miss-islington (miss-islington) Date: 2020-10-02 16:39
New changeset 6dc8e0eb9b471f6665f841216a6b2d83741b3973 by Miss Islington (bot) in branch '3.9':
bpo-41802: Document 'PyDict_DelItem' can raise a 'KeyError' (GH-22291)
https://github.com/python/cpython/commit/6dc8e0eb9b471f6665f841216a6b2d83741b3973
msg378050 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-10-05 16:10
New changeset 95de3627f1527cbb1e98d64dd7cc6463c297b616 by Łukasz Langa (Miss Islington (bot)) in branch '3.9':
bpo-41802: Document 'PyDict_DelItem' can raise a 'KeyError' (GH-22291)
https://github.com/python/cpython/commit/95de3627f1527cbb1e98d64dd7cc6463c297b616
History
Date User Action Args
2020-10-05 16:10:19lukasz.langasetnosy: + lukasz.langa
messages: + msg378050
2020-10-02 17:53:58serhiy.storchakasetstatus: open -> closed
assignee: docs@python
components: + Documentation

nosy: + docs@python
type: enhancement
resolution: fixed
stage: patch review -> resolved
2020-10-02 16:39:24miss-islingtonsetmessages: + msg377823
2020-10-02 16:28:04miss-islingtonsetmessages: + msg377821
2020-10-02 16:18:41miss-islingtonsetpull_requests: + pull_request21514
2020-10-02 16:18:33miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21513
2020-10-02 16:18:11serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg377819
2020-10-02 16:07:28iritkatrielsetkeywords: + patch
nosy: + iritkatriel

pull_requests: + pull_request21512
stage: patch review
2020-09-17 11:20:48ideasman42setmessages: + msg377054
2020-09-17 11:05:53ideasman42create